Module ij
Package ij.plugin

# Class StackWriter

java.lang.Object
ij.plugin.StackWriter

All Implemented Interfaces:
  `PlugIn`

public class StackWriter extends Object implements PlugIn
This plugin, which saves the images in a stack as separate files, implements the File/Save As/Image Sequence command.

## Constructor Summary

Constructors
Constructor
Description
`StackWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static void`
`save(ImagePlus imp, String directoryPath, String options)`
Saves the specified image as a sequence of images.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackWriter

public StackWriter()

## Method Details

### save

public static void save(ImagePlus imp, String directoryPath, String options)
Saves the specified image as a sequence of images.

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`